Bug 214299 - APM support of InfiniBand stack is not working
APM support of InfiniBand stack is not working
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
All Linux
medium Severity high
: ---
: ---
Assigned To: Doug Ledford
Daniel Riek
Depends On:
  Show dependency treegraph
Reported: 2006-11-06 17:49 EST by Somenath Bandyopadhyay
Modified: 2007-11-16 20:14 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-11-07 16:31:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Somenath Bandyopadhyay 2006-11-06 17:49:09 EST
Description of problem: Automatic Path Migration Support of InfiniBand doesn't
work with RHEL4 U4. There are several fixes being developed by
www.openfabrics.org. We need the full feature of APM to work correctly. That means

1. Able to setup a connection with alternate path
2. Able to fail over to alternate path when primary path fails
3. Able to load new alternate path after fail over
4. Able to get notification that remote node is down and migration happend
5. Able to get nofification that remote node has come up

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Connect two computers with IB cables, connect both ports
2. setup the connection
3. remove cable for primary port
Actual results:

connection will hang. 

Expected results: it should work.

Additional info:
Comment 1 Daniel Riek 2006-11-07 14:57:21 EST
OpenFabrics.Org in RHEL4.4 still is Tech Preview and the plan for 4.5 is to pull
in the current upstream. As there is no code yet, please test with a current
RHEL5 Beta snapshot.
Comment 2 Andrius Benokraitis 2006-11-07 16:31:04 EST
Please test the forthcoming Beta of RHEL 4.5 by contacting Neena Bhatnager
within Symantec to integrate with their testing if possible. Once the first 4.5
drops are released, please report bugs based on that release.

Note You need to log in before you can comment on or make changes to this bug.